package com.bootdo.system.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * 部门管理
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2017-09-27 14:28:36
 */
public class DeptDO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	private Long deptId;
	//上级部门ID，一级部门为0
	private Long parentId;
	//部门名称
	private String name;
	//排序
	private Integer orderNum;
	//是否删除  -1：已删除  0：正常
	private Integer delFlag;

	/**
	 * 设置：
	 */
	public void setDeptId(Long deptId) {
		this.deptId = deptId;
	}
	/**
	 * 获取：
	 */
	public Long getDeptId() {
		return deptId;
	}
	/**
	 * 设置：上级部门ID，一级部门为0
	 */
	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}
	/**
	 * 获取：上级部门ID，一级部门为0
	 */
	public Long getParentId() {
		return parentId;
	}
	/**
	 * 设置：部门名称
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 获取：部门名称
	 */
	public String getName() {
		return name;
	}
	/**
	 * 设置：排序
	 */
	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}
	/**
	 * 获取：排序
	 */
	public Integer getOrderNum() {
		return orderNum;
	}
	/**
	 * 设置：是否删除  -1：已删除  0：正常
	 */
	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
	/**
	 * 获取：是否删除  -1：已删除  0：正常
	 */
	public Integer getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return "DeptDO{" +
				"deptId=" + deptId +
				", parentId=" + parentId +
				", name='" + name + '\'' +
				", orderNum=" + orderNum +
				", delFlag=" + delFlag +
				'}';
	}

    /**
     *
     *
     * @author chglee
     * @email 1992lcg@163.com
     * @date 2021-06-08 15:25:01
     */
    public static class SearchDO implements Serializable {
        private static final long serialVersionUID = 1L;

        //序号
        private Long id;
        //设备名称
        private String deviceName;
        //设备mac
        private String deviceMac;
        //序列号
        private String deviceSn;
        //探测时间
        private Date regtime;
        //探测结果
        private String result;
        //唯一标识（原始值）
        private String loadUniqe;
        //唯一标识（new）
        private String newUniqe;

        /**
         * 设置：序号
         */
        public void setId(Long id) {
            this.id = id;
        }
        /**
         * 获取：序号
         */
        public Long getId() {
            return id;
        }
        /**
         * 设置：设备名称
         */
        public void setDeviceName(String deviceName) {
            this.deviceName = deviceName;
        }
        /**
         * 获取：设备名称
         */
        public String getDeviceName() {
            return deviceName;
        }
        /**
         * 设置：设备mac
         */
        public void setDeviceMac(String deviceMac) {
            this.deviceMac = deviceMac;
        }
        /**
         * 获取：设备mac
         */
        public String getDeviceMac() {
            return deviceMac;
        }
        /**
         * 设置：序列号
         */
        public void setDeviceSn(String deviceSn) {
            this.deviceSn = deviceSn;
        }
        /**
         * 获取：序列号
         */
        public String getDeviceSn() {
            return deviceSn;
        }
        /**
         * 设置：探测时间
         */
        public void setRegtime(Date regtime) {
            this.regtime = regtime;
        }
        /**
         * 获取：探测时间
         */
        public Date getRegtime() {
            return regtime;
        }
        /**
         * 设置：探测结果
         */
        public void setResult(String result) {
            this.result = result;
        }
        /**
         * 获取：探测结果
         */
        public String getResult() {
            return result;
        }
        /**
         * 设置：唯一标识（原始值）
         */
        public void setLoadUniqe(String loadUniqe) {
            this.loadUniqe = loadUniqe;
        }
        /**
         * 获取：唯一标识（原始值）
         */
        public String getLoadUniqe() {
            return loadUniqe;
        }
        /**
         * 设置：唯一标识（new）
         */
        public void setNewUniqe(String newUniqe) {
            this.newUniqe = newUniqe;
        }
        /**
         * 获取：唯一标识（new）
         */
        public String getNewUniqe() {
            return newUniqe;
        }
    }
}
